curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123,
"allocate_tty": false,
"rows": 32768,
"cols": 32768
}
'{
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pid": 123,
"started_at": "2023-11-07T05:31:56Z"
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/process/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "<string>",
"args": [],
"cwd": "<string>",
"env": {},
"as_user": "<string>",
"as_root": false,
"timeout_sec": 123,
"allocate_tty": false,
"rows": 32768,
"cols": 32768
}
'{
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pid": 123,
"started_at": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Browser session ID
Request to execute a command synchronously.
Executable or shell command to run.
Command arguments.
Working directory (absolute path) to run the command in.
^/.*Environment variables to set for the process.
Show child attributes
Run the process as this user.
Run the process with root privileges.
Maximum execution time in seconds.
Allocate a pseudo-terminal (PTY) for interactive shells.
Initial terminal rows. Only used when allocate_tty is true.
1 <= x <= 65535Initial terminal columns. Only used when allocate_tty is true.
1 <= x <= 65535